# Uses of Interface
org.eclipse.jface.text.IDocumentAdapter

Packages that use IDocumentAdapter
Package
Description
org.eclipse.jface.text
Provides a framework for creating and manipulating text documents.
org.eclipse.ui.console
Application programming interfaces for interaction with the Eclipse console.

## Uses of IDocumentAdapter in org.eclipse.jface.text

Methods in org.eclipse.jface.text that return IDocumentAdapter
Modifier and Type
Method
Description
`protected IDocumentAdapter`
TextViewer.`createDocumentAdapter()`
Factory method to create the document adapter to be used by this viewer.

## Uses of IDocumentAdapter in org.eclipse.ui.console

Methods in org.eclipse.ui.console that return IDocumentAdapter
Modifier and Type
Method
Description
`protected IDocumentAdapter`
TextConsoleViewer.`createDocumentAdapter()`